net.corda.contracts

## Class CommercialPaperLegacy

- net.corda.contracts.CommercialPaperLegacy

- All Implemented Interfaces:
    Contract

      public class CommercialPaperLegacy
      implements Contract

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CommercialPaperLegacy.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommercialPaperLegacy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionBuilder` | `generateIssue(PartyAndReference issuance, Amount<net.corda.core.contracts.Issued> faceValue, java.time.Instant maturityDate, Party notary)`
    `void` | `generateMove(TransactionBuilder tx, StateAndRef<net.corda.contracts.CommercialPaperLegacy.State> paper, CompositeKey newOwner)`
    `void` | `generateRedeem(TransactionBuilder tx, StateAndRef<net.corda.contracts.CommercialPaperLegacy.State> paper, VaultService vault)`
    `SecureHash` | `getLegalContractReference()` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contract's contents).
    `void` | `verify(TransactionForContract tx)` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.

    - ### Methods inherited from interface net.corda.core.contracts.Contract

      `getLegalContractReference, verify`

- - ### Constructor Detail

    - #### CommercialPaperLegacy

          public CommercialPaperLegacy()

  - ### Method Detail

    - #### getLegalContractReference

          public SecureHash getLegalContractReference()

      Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contract's contents).

    - #### verify

          public void verify(TransactionForContract tx)

      Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.

    - #### generateIssue

          public TransactionBuilder generateIssue(PartyAndReference issuance,
                                                  Amount<net.corda.core.contracts.Issued> faceValue,
                                                  java.time.Instant maturityDate,
                                                  Party notary)

    - #### generateMove

          public void generateMove(TransactionBuilder tx,
                                   StateAndRef<net.corda.contracts.CommercialPaperLegacy.State> paper,
                                   CompositeKey newOwner)

    - #### generateRedeem

          public void generateRedeem(TransactionBuilder tx,
                                     StateAndRef<net.corda.contracts.CommercialPaperLegacy.State> paper,
                                     VaultService vault)